OpenTTD Source: SoundSettings Struct Reference

OpenTTD Source 15.0-beta1

Data Fields
SoundSettings Struct Reference

Settings related to sound effects. More...

`#include <settings_type.h>`

## Data Fields
bool | news_ticker
| Play a ticker sound when a news item is published.
bool | news_full
| Play sound effects associated to certain news types.
bool | new_year
| Play sound on new year, summarising the performance during the last year.
bool | confirm
| Play sound effect on successful constructions or other actions.
bool | click_beep
| Beep on a random selection of buttons.
bool | disaster
| Play disaster and accident sounds.
bool | vehicle
| Play vehicle sound effects.
bool | ambient
| Play ambient, industry and town sounds.

## Detailed Description

Settings related to sound effects.

Definition at line 244 of file settings_type.h.

## Field Documentation

## ◆ ambient

bool SoundSettings::ambient

Play ambient, industry and town sounds.

Definition at line 252 of file settings_type.h.

Referenced by AmbientSoundEffectCallback(), AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >::AnimateTile(), AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >::ChangeAnimationFrame(), SearchLumberMillTrees(), TrainController(), and UpdateLevelCrossingTile().

## ◆ click_beep

bool SoundSettings::click_beep

Beep on a random selection of buttons.

Definition at line 249 of file settings_type.h.

Referenced by BuildRailClick_Remove(), HandlePlacePushButton(), BuildAirportWindow::OnClick(), BuildDocksStationWindow::OnClick(), BuildDocksDepotWindow::OnClick(), IndustryCargoesWindow::OnClick(), BuildObjectWindow::OnClick(), PickerWindow::OnClick(), BuildRailStationWindow::OnClick(), BuildRailDepotWindow::OnClick(), BuildRoadToolbarWindow::OnClick(), BuildRoadDepotWindow::OnClick(), BuildRoadStationWindow::OnClick(), SmallMapWindow::OnClick(), ScenarioEditorLandscapeGenerationWindow::OnClick(), TransparenciesWindow::OnClick(), ScenarioEditorToolbarWindow::OnDropdownSelect(), PopupMainToolbarMenu(), ToolbarFastForwardClick(), and ToolbarOptionsClick().

## ◆ confirm

bool SoundSettings::confirm

Play sound effect on successful constructions or other actions.

Definition at line 248 of file settings_type.h.

Referenced by CcBuildBridge(), CcBuildRailTunnel(), CcBuildRoadTunnel(), CcRoadStop(), CommonRaiseLowerBigLand(), GenerateRockyArea(), BuildTreesWindow::OnClick(), and BuildTreesWindow::UpdateMode().

## ◆ disaster

bool SoundSettings::disaster

Play disaster and accident sounds.

Definition at line 250 of file settings_type.h.

Referenced by CheckTrainCollision(), CrashAirplane(), DisasterTick_Aircraft(), DisasterTick_Big_Ufo_Destroyer(), DisasterTick_Ufo(), DisasterTick_Zeppeliner(), and FloodVehicle().

## ◆ new_year

bool SoundSettings::new_year

Play sound on new year, summarising the performance during the last year.

Definition at line 247 of file settings_type.h.

## ◆ news_full

bool SoundSettings::news_full

Play sound effects associated to certain news types.

Definition at line 246 of file settings_type.h.

Referenced by ShowNewspaper().

## ◆ news_ticker

bool SoundSettings::news_ticker

Play a ticker sound when a news item is published.

Definition at line 245 of file settings_type.h.

Referenced by ShowTicker().

## ◆ vehicle

bool SoundSettings::vehicle

Play vehicle sound effects.

Definition at line 251 of file settings_type.h.

Referenced by PlayVehicleSound().

The documentation for this struct was generated from the following file:

- src/settings_type.h